c     Copyright (C) 2008-2009 Vincent Eymet
c
c     Planet_EMC is free software; you can redistribute it and/or modify
c     it under the terms of the GNU General Public License as published by
c     the Free Software Foundation; either version 3, or (at your option)
c     any later version.

c     Planet_EMC is distributed in the hope that it will be useful,
c     but WITHOUT ANY WARRANTY; without even the implied warranty of
c     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c     GNU General Public License for more details.

c     You should have received a copy of the GNU General Public License
c     along with Planet_EMC; if not, see <http://www.gnu.org/licenses/>
c
      subroutine read_data(eps_st4,Nevent,nchunks)
      implicit none
      include 'max.inc'

      integer ios,strlen,i
      double precision eps_st4
      integer Nevent,nchunks
      character*100 datafile
      character*100 label
      label='subroutine read_data'

      datafile='./data.in'
      open(10,file=datafile(1:strlen(datafile)),
     &     status='old',iostat=ios)
      if (ios.ne.0) then        ! file not found
         write(*,*) 'Error from read_data:'
         write(*,*) 'File could not be found:'
         write(*,*) datafile(1:strlen(datafile))
         stop
      endif
      do i=1,7
         read(10,*)
      enddo
      read(10,*) eps_st4
      do i=1,7
         read(10,*)
      enddo
      read(10,*) Nevent
      do i=1,7
         read(10,*)
      enddo
      read(10,*) nchunks
      if (nchunks.gt.Nchunk_mx) then
         write(*,*) 'Error from ',label(1:strlen(label)),' :'
         write(*,*) 'Number of computational chunks'
         write(*,*) 'is greater than Nchunk_mx=',Nchunk_mx
         stop
      endif

      close(10)

      return
      end
