c     Copyright (C) 2008-2009 Vincent Eymet
c
c     Planet_EMC is free software; you can redistribute it and/or modify
c     it under the terms of the GNU General Public License as published by
c     the Free Software Foundation; either version 3, or (at your option)
c     any later version.

c     Planet_EMC is distributed in the hope that it will be useful,
c     but WITHOUT ANY WARRANTY; without even the implied warranty of
c     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c     GNU General Public License for more details.

c     You should have received a copy of the GNU General Public License
c     along with Planet_EMC; if not, see <http://www.gnu.org/licenses/>
c
      subroutine read_seed(seed)
      implicit none
      include 'max.inc'
      integer ios,strlen
      integer seed
      character*100 seedfile
      character*100 oldseedfile

      seedfile='./config/seed'
      open(11,file=seedfile(1:strlen(seedfile))
     &     ,status='old',iostat=ios)
      if (ios.ne.0) then ! file not found
         write(*,*) 'Error from read_seed:'
         write(*,*) 'file could not be found:'
         write(*,*) seedfile(1:strlen(seedfile))
         stop
      endif
      read(11,*) seed
      close(11)

      oldseedfile='./config/old_seed'
      open(12,file=oldseedfile(1:strlen(oldseedfile)))
      write(12,*) seed
      close(12)

      return
      end



      subroutine write_seed()
      implicit none
      include 'max.inc'
      integer strlen
      integer seed
      character*100 seedfile
      seedfile='./config/seed'

      call generate_1seed(seed)

      open(11,file=seedfile(1:strlen(seedfile)))
      write(11,*) seed
      close(11)

      return
      end



      subroutine generate_1seed(seed)
      implicit none
      integer seed
      double precision R
c
c     Purpose: to generate a seed that "zufalli" will use
c     to initialize the random number generator "zufall"
c
c     The seed must be 0 < seed < 31328
c
      call random_gen(R)
c     Debug
c      if (R.gt.1.0D+0) then
c         write(*,*) 'Error from generate_1seed:'
c         write(*,*) 'R=',R
c         stop
c      endif
c     Debug
      seed=int(R*31329)

      return
      end
